be.fgov.ehealth.rn.registries.commons.v1

## Class AnomaliesType

- java.lang.Object
- - be.fgov.ehealth.rn.registries.commons.v1.AnomaliesType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class AnomaliesType
      extends Object
      implements Serializable

  Type defining the structure of the part of the response containing warnings about the returned data

  Java class for AnomaliesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AnomaliesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Anomaly" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}DetailedStatusType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnomaliesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DetailedStatusType>` | `getAnomalies()` Gets the value of the anomalies property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnomaliesType

          public AnomaliesType()

  - ### Method Detail

    - #### getAnomalies

          public List<DetailedStatusType> getAnomalies()

      Gets the value of the anomalies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anomalies property.

      For example, to add a new item, do as follows:

              getAnomalies().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailedStatusType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.